OpenNMS API 1.2.9

## org.opennms.report.availability
Class CalendarTableBuilderTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.report.availability.CalendarTableBuilderTest

All Implemented Interfaces:
  junit.framework.Test

public class CalendarTableBuilderTest
extends junit.framework.TestCase

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`CalendarTableBuilderTest()`

Method Summary
`private int` `getDayOfWeek(java.util.Locale locale, int year, int month, int dayOfMonth)`
`private int` `getDaysInMonth(java.util.Locale locale, int year, int month)`
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testGetDaysInMonth()`
`void` `testLocaleEnUs()`
`void` `testLocaleFrench()`
`void` `testVisibleDays()`
`private void` `testVisibleDays(java.util.Locale locale, int year, int month, int dayOfMonth)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarTableBuilderTest

    public CalendarTableBuilderTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocaleFrench

    public void testLocaleFrench()

### testLocaleEnUs

    public void testLocaleEnUs()

### testVisibleDays

    public void testVisibleDays()

### testVisibleDays

    private void testVisibleDays(java.util.Locale locale,
                                 int year,
                                 int month,
                                 int dayOfMonth)

### testGetDaysInMonth

    public void testGetDaysInMonth()

### getDaysInMonth

    private int getDaysInMonth(java.util.Locale locale,
                               int year,
                               int month)

### getDayOfWeek

    private int getDayOfWeek(java.util.Locale locale,
                             int year,
                             int month,
                             int dayOfMonth)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.